Get positions for a specific pool
curl --request GET \
--url https://api.lpagent.io/open-api/v1/pools/{poolId}/positions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.lpagent.io/open-api/v1/pools/{poolId}/positions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lpagent.io/open-api/v1/pools/{poolId}/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"pagination": {
"page": 123,
"pageSize": 123,
"total": 123,
"totalPages": 123
},
"positions": [
{}
],
"positionState": [
{
"positionId": "<string>",
"positionData": [
{
"binId": 123,
"price": "<string>",
"pricePerToken": "<string>",
"binXAmount": "<string>",
"binYAmount": "<string>",
"positionXAmount": "<string>",
"positionYAmount": "<string>",
"feeX": "<string>",
"feeY": "<string>"
}
]
}
],
"activeBin": {
"binId": 123,
"price": "<string>",
"pricePerToken": "<string>"
},
"prices": {}
}
}Pools
Get positions for a specific pool
Retrieve all positions associated with a specific pool along with position state and pricing info Solana only — this endpoint has no Robinhood Chain (EVM) equivalent.
GET
/
pools
/
{poolId}
/
positions
Get positions for a specific pool
Authorizations
API key for authentication
Path Parameters
The pool address
Query Parameters
Filter by position owner
Filter by position status
Available options:
Open, Close Page number for pagination
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 20Field to order results by
Sort order direction (asc or desc)
Comma-separated protocols to filter by. This endpoint is Solana only, so the valid values are meteora and meteora_damm_v2.
Filter by PNL threshold
Filter by native PNL threshold
Was this page helpful?